Can't open customizer, background and Header

Hi,
when I try to open the Customizer, the “Background”- or the “Header” Tab for Sydney Pro II, I get the following error code:

Warning: require_once(/customers/1/a/e/falko-weis.de/httpd.www/wp-includes/customize/class-wp-customize-code-editor-control.php): failed to open stream: No such file or directory in /customers/1/a/e/falko-weis.de/httpd.www/wp-includes/class-wp-customize-manager.php on line 311
Fatal error: require_once(): Failed opening required '/customers/1/a/e/falko-weis.de/httpd.www/wp-includes/customize/class-wp-customize-code-editor-control.php' (include_path='.:/usr/share/php') in /customers/1/a/e/falko-weis.de/httpd.www/wp-includes/class-wp-customize-manager.php on line 311 

Disabling all the plugins did not resolve the error.

edit: In case it’s important: I’m running WP 4.9.5 and just updated to sydney pro 2.0.7. I hoped that updating the Sydney Theme would help resolve the error, but it didn’t. (I was still on version 1.something before)
Thanks for your quick help

F

Hello,

You can try to rebuild your website in a staging environment or locally and see if it works as it should (then you will be able to move rebuilt website to production environment). Please remember about importance of regular full site backups (files and database):
https://codex.wordpress.org/WordPress_Backups

Here are helpful tutorials:



Kind Regards, Roman.

Hi
thanks for the advice - so do I surmise correctly, that there is no easy way to troubleshoot this and I need to rebuild the whole site? Does using an old backup make any sense at all? Because after all I should use the new theme version, shouldn’t I? Sorry, am really at a loss here on what to do.

edit: I resolved the following already by finding the responsible plugin and deleting it [Additionally, since the update, I get this error on the front end of the page: Warning: call_user_func_array() expects parameter 1 to be a valid callback, class ‘wps_gfwidget’ not found in /customers/1/a/e/falko-weis.de/httpd.www/wp-includes/class-wp-hook.php on line 298 I guess this has to do with the footer-widgets?]

Thanks
F

Hello, it looks like another plugin issue.

Please check your plugins once again to find the problematic one.

Kind Regards, Roman.